use serenity::{
    all::Message,
    client::Context,
    framework::standard::{macros::command, CommandResult},
};

#[command]
#[description = "Info to ask for new meme"]
pub async fn ask(ctx: &Context, msg: &Message) -> CommandResult {
    if let Err(why) = msg
        .channel_id
        .say(
            &ctx.http,
            "Hi, if you want to add new meme to the bot, you need to ask batleforc to add new one. You can do it by sending a message to him.",
        )
        .await
    {
        println!("Error sending message: {:?}", why)
    }
    Ok(())
}
