use serenity::{
    all::Message,
    client::Context,
    framework::standard::{macros::command, CommandResult},
};

#[command]
#[description = "List supported meme keywords"]
pub async fn list(ctx: &Context, msg: &Message) -> CommandResult {
    if let Err(why) = msg
        .channel_id
        .say(
            &ctx.http,
            "Soon TM - List of supported meme keywords will be available here.",
        )
        .await
    {
        println!("Error sending message: {:?}", why)
    }
    Ok(())
}
